org.eclipse.wst.jsdt.chromium.debug.ui.propertypages

## Class ScriptFilePage

- java.lang.Object
- - PropertyPage
  - - org.eclipse.wst.jsdt.chromium.debug.ui.propertypages.ScriptFilePage

    public class ScriptFilePage
    extends PropertyPage

A ui for properties of JS file. Both Virtual project and a regular workspace files (.js or .html) are supported.

### Constructor Summary

Constructors
Constructor and Description
`ScriptFilePage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Control` `createContents(Composite parent)`
`boolean` `performOk()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptFilePage

    public ScriptFilePage()

### Method Detail

#### createContents

    protected Control createContents(Composite parent)

#### performOk

    public boolean performOk()